package glg203.serialization;

import glg203.serialization.observer.PersonObserver;
import glg203.serialization.observer.events.PersonEvent;

public class LogObserver implements PersonObserver {
    private String label;

    public LogObserver(String label) {
        this.label = label;
    }

    @Override
    public void personEventOccurred(PersonEvent event) {
        System.out.println(label + " "+ event);
    }



    

}
