package glg203.serialization.observer.events;

import glg203.serialization.Person;

public class PersonEvent {
    private EventType type;
    private Person person;

    public PersonEvent(EventType type, Person p) {
        this.type = type;
        this.person = p;
    }

    public Person getPerson() {
        return person;
    }

    public EventType getType() {
        return type;
    }

    @Override
    public String toString() {
        return type + " Person " + person;
    }
    
}
