package casLimites.cas01;

import java.io.IOException;
import java.io.ObjectOutputStream;
import java.io.OutputStream;
import java.nio.file.Files;
import java.nio.file.Path;

import casLimites.Personne;

public class Sauvegarde {
    public static final String S1_SER = "s1.ser";

    public static void main(String[] args) throws IOException {
        // Le même objet, sauvé plusieurs fois...

        try (ObjectOutputStream o  = new ObjectOutputStream(
                Files.newOutputStream(Path.of(S1_SER)));) {
                    Personne p1 = new Personne("a", "b");
                    Personne p2 = new Personne("c", "d");
                    o.writeObject(p1);
                    o.writeObject(p2);
                    p1.setNom("a1");
                    o.writeObject(p1);
        }
    }
}
