package demojdbc;

import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;

public class ExempleInjectionSql extends AbstractExample {

    public static void main(String[] args) throws SQLException {
        new ExempleInjectionSql().run();
    }

    @Override
    protected void doInDatabase(Connection connection) throws SQLException {
        printPersonByName(connection, "jack");
        printPersonByName(connection, "jack'; drop table person; select '");
    }

    public void printPersonByName(Connection connection, String name) throws SQLException {
        try (Statement st = connection.createStatement()) {
            String sql = "select * from person where name = '" + name + "'"; 
            System.out.println("SQL exécuté : "+ sql);
            try (ResultSet rs = st.executeQuery(sql)) {
                while (rs.next()) {
                    System.out.println(rs.getInt("id")+ " : "+ rs.getString("name"));
                }
            }
        } catch (SQLException e) {
            e.printStackTrace();
        }
    }


}
