package glg203.db;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;

import glg203.dao.DAOException;

public class ConnectionFactory {
    private String url = "jdbc:h2:mem:demo;DB_CLOSE_DELAY=-1";
    private String login = "sa";
    private String password = "";
    
    public Connection getConnection() {
        try {
            return DriverManager.getConnection(url, login, password);
        } catch (SQLException e) {
            throw new DAOException(e);
        }

    }
}
