package glg203.model;

import glg203.persistenceFramework.DomainObject;

public class Person extends DomainObject {
    private String name;

    /**
     * Initialise une personne avec un ID nul.
     * @param name
     */
    public Person(String name) {        
        this.name = name;
      
    }

    public Person(Long id, String name) {
        super(id);        
        this.name = name;
    }


    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Override
    public String toString() {
        return "Person [id=" + getId() + ", name=" + name + "]";
    }
    

}
