package glg203.persistenceFramework.exception;

import java.sql.SQLException;

public class DuplicateKeyException extends DAOException {

    public DuplicateKeyException() {
    }

    public DuplicateKeyException(String message) {
        super(message);
    }

    public DuplicateKeyException(Throwable cause) {
        super(cause);
    }

    public DuplicateKeyException(String message, Throwable cause) {
        super(message, cause);
    }

    public String getSQLMessage() {
        if (getCause() instanceof SQLException) {
            SQLException e = (SQLException) getCause();
            return e.getMessage();
        } else {
            return "";
        }
        
    }
    
}
