package casLimites.cas02;

import java.io.IOException;
import java.io.ObjectOutputStream;
import java.io.OutputStream;
import java.nio.file.Files;
import java.nio.file.Path;

import casLimites.Personne;

public class Sauvegarde2 {
    public static final String S2A_SER = "s2a.ser";
    public static final String S2B_SER = "s2b.ser";

    public static void main(String[] args) throws IOException {
        // Le même objet, sauvé plusieurs fois dans des fichiers différents...

        try (ObjectOutputStream o1  = new ObjectOutputStream(
                Files.newOutputStream(Path.of(S2A_SER)));
            ObjectOutputStream o2  = new ObjectOutputStream(
                    Files.newOutputStream(Path.of(S2B_SER)));                    
                ) {
                    Personne p1 = new Personne("a", "b");                    
                    o1.writeObject(p1);
                    o2.writeObject(p1);                    
        }
    }
}
