package glg203.persistenceFramework;

/**
 * Every domain object should extend this abstract class.
 */
public abstract class DomainObject {


	/**
	 * The unique identifier of the object.
	 */    
    protected Long id;

	
	protected DomainObject() {
	}
	
	protected DomainObject(Long id) {
		this.id = id;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}
	
}
