package glg203.persistenceFramework.template;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.SQLException;

/**
 * Template pour les requête d'insertion/modification/suppression qui ne retournent rien.
 */
class SQLUpdateTemplate extends SQLStatementTemplate<Void> {

    public SQLUpdateTemplate(Connection connection, String sql) {
        super(connection, sql);
    }
    

    @Override
    protected Void performWithStatement(PreparedStatement pst) throws SQLException {
        pst.executeUpdate();
        return null;
    }
}